//##########################################################
// Converts DOS textfiles with 0x0d,0x0A at the end
// to UNIX textfiles with only 0x0A
//
// hk@holger-klabunde.de
// http://www.holger-klabunde.de/index.html
// 13.11.2002
//##########################################################
#include <windows.h>
#include <stdio.h>
#include <string.h>

#define version "V1.00"
#define BUFLEN	1024

void usage();

FILE *in,*out;

int main(int argc, char *argv[])
{
 int result,i;
 char newname[BUFLEN];
 char line[BUFLEN];   

 if(argc<2 || argc>2) { usage(); return 1; }

 strcpy(newname,argv[1]); //Dateinamen holen
 strcat(newname,".u");  //neue Endung fr UNIX

 in=fopen(argv[1],"rt"); //open int textmode
 if(in==NULL)
  {
   printf("\nCan't open %s !\n",argv[1]);
   return 1;         
  }

 out=fopen(newname,"wb"); //open in binary mode !
 if(out!=NULL)
  {
   do
    {
     for(i=0; i<BUFLEN; i++) line[i]=0; //if there's no end of line

	 if(fgets(line,BUFLEN,in)!=NULL)
	  {
	   result=1;
       for(i=0; i<BUFLEN; i++)
	    {
		 if(line[i]==0x0D || line[i]==0x0A || line[i]==0) break;
		}
       line[i]=0x0A;
	   if(i<(BUFLEN-1)) fwrite(line,sizeof(char),i+1,out);
	  }
     else result=0;

	}while(result>0);

  }

 if(in) { fclose(in); in=NULL; }
 if(out) { fclose(out); out=NULL; }

 return 0;
}

void usage()
{
 printf("\nDos to Unix %s\n",version);
 printf("usage: dtou name.cgi\n");
 printf("       output name.cgi.u\n");
 printf("hk@holger-klabunde.de\n");
}


